<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class PaymentReceipt extends UseScopeBaseModel
{
    protected $table = "payment_receipt"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const STATE_ZERO = 0;//未确认
    const STATE_ONE = 1;//待确认
    const STATE_TWO = 2;//已确认
    public static $name = [
        self::STATE_ZERO => '未确认',
        self::STATE_ONE => '待确认',
        self::STATE_TWO => '已确认',
    ];

    const type_one = 1; // 收款
    const type_two = 2; // 付款
    public static $model_type = [
        self::type_one => '收款',
        self::type_two => '付款',
    ];

    const data_type_one = 1; // 合同
    const data_type_two = 2; // 采购
    public static $data_type = [
        self::data_type_one => '合同',
        self::data_type_two => '采购',
    ];

    const prefix = "T9RMO.";
}
