<?php

namespace App\Model;

use App\Scopes\TopDepartmentScope;
use Illuminate\Database\Eloquent\Model;

class ProductInventorySet extends UseScopeBaseModel
{
    protected $table = "depart_set"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const type_one = 1;//校验库存
    const type_two = 2;//不校验证库存
    public static $type_name = [
        self::type_one => '是',
        self::type_two => '否',
    ];
}
